> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update My Assistant

> Update assistant settings.



## OpenAPI

````yaml /openapi.json patch /api/v1/assistant/me
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/assistant/me:
    patch:
      tags:
        - Assistant
      summary: Update My Assistant
      description: Update assistant settings.
      operationId: update_my_assistant_api_v1_assistant_me_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAssistantRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateAssistantRequest:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Name
        persona_preset:
          anyOf:
            - type: string
              pattern: ^(organizer|shopper|family|social)$
            - type: 'null'
          title: Persona Preset
        personality:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Personality
        avatar:
          anyOf:
            - type: string
              maxLength: 50
            - type: 'null'
          title: Avatar
      type: object
      title: UpdateAssistantRequest
    AssistantResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        hired_agent_id:
          type: string
          format: uuid
          title: Hired Agent Id
        name:
          type: string
          title: Name
        persona_preset:
          type: string
          title: Persona Preset
        active_skills:
          items:
            type: string
          type: array
          title: Active Skills
        personality:
          additionalProperties: true
          type: object
          title: Personality
        avatar:
          type: string
          title: Avatar
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - user_id
        - hired_agent_id
        - name
        - persona_preset
        - active_skills
        - personality
        - avatar
        - created_at
        - updated_at
      title: AssistantResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````